# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rx_core_operator_adsr"
version = "0.2.0"
authors = ["Sandor Gyori <alexaegis@pm.me>"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "adsr operator for rx_core"
homepage = "https://github.com/AlexAegis/rx_bevy"
documentation = "https://github.com/AlexAegis/rx_bevy"
readme = "readme.md"
keywords = [
    "rx",
    "rx_core",
    "rx_core_operator",
    "rx_bevy",
    "rx_bevy_operator",
]
license = "MIT"
repository = "https://github.com/AlexAegis/rx_bevy"

[features]
compose = ["dep:rx_core_operator_composite"]
default = []
pipe = ["rx_core_common/pipe"]

[lib]
name = "rx_core_operator_adsr"
path = "src/lib.rs"

[dependencies.bevy_math]
version = "0.18"
features = [
    "std",
    "curve",
]
default-features = false

[dependencies.bevy_time]
version = "0.18"
default-features = false

[dependencies.bitflags]
version = "2.10"
default-features = false

[dependencies.rx_core_common]
version = "0.2.0"

[dependencies.rx_core_macro_operator_derive]
version = "0.2.0"

[dependencies.rx_core_macro_subscriber_derive]
version = "0.2.0"

[dependencies.rx_core_operator_composite]
version = "0.2.0"
optional = true

[dev-dependencies.rx_core_testing]
version = "0.2.0"

[lints.clippy]
type_complexity = "allow"
